Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::TessClassifier Class Reference

`#include <tessclassifier.h>`

Inheritance diagram for tesseract::TessClassifier:

List of all members.

## Public Member Functions

| TessClassifier (bool pruner_only, tesseract::Classify *classify)
virtual | ~TessClassifier ()
virtual int | ClassifySample (const TrainingSample &sample, Pix *page_pix, int debug, int keep_this, GenericVector< ShapeRating > *results)
virtual const ShapeTable * | GetShapeTable () const
Public Member Functions inherited from tesseract::ShapeClassifier
virtual | ~ShapeClassifier ()

## Detailed Description

Definition at line 36 of file tessclassifier.h.

## Constructor & Destructor Documentation

tesseract::TessClassifier::TessClassifier | ( | bool | pruner_only,
|  | tesseract::Classify * | classify
| ) |  |

inline

Definition at line 38 of file tessclassifier.h.

: pruner_only_(pruner_only), classify_(classify) {}

virtual tesseract::TessClassifier::~TessClassifier | ( |  | ) |

inlinevirtual

Definition at line 40 of file tessclassifier.h.

{}

## Member Function Documentation

int tesseract::TessClassifier::ClassifySample | ( | const TrainingSample & | sample,
|  | Pix * | page_pix,
|  | int | debug,
|  | int | keep_this,
|  | GenericVector< ShapeRating > * | results
| ) |  |

virtual

Implements tesseract::ShapeClassifier.

Definition at line 31 of file tessclassifier.cpp.

{
if (debug) {
classify_->matcher_debug_level.set_value(debug ? 2 : 0);
classify_->matcher_debug_flags.set_value(debug ? 25 : 0);
classify_->classify_debug_level.set_value(debug ? 3 : 0);
} else {
classify_->classify_debug_level.set_value(debug ? 2 : 0);
}
classify_->CharNormTrainingSample(pruner_only_, sample, results);
return results->size();
}

const ShapeTable * tesseract::TessClassifier::GetShapeTable | ( |  | ) | const

virtual

Implements tesseract::ShapeClassifier.

Definition at line 46 of file tessclassifier.cpp.

{
return classify_->shape_table();
}

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/classify/tessclassifier.h
- /mnt/data/src/tesseract-ocr/classify/tessclassifier.cpp